Name:     inih
Version:  36
Release:  2%{?dist}
Summary:  Simple INI file parser library

Group:    System Environment/Libraries
License:  BSD
URL:      https://github.com/benhoyt/inih
Source0:  https://github.com/benhoyt/inih/archive/r%{version}.tar.gz


%description
The inih package provides simple INI file parser which is only a couple of
pages of code, and it was designed to be small and simple, so it's good for
embedded systems.


%package devel
Summary:  Development package for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}


%description devel
This package contains development files for %{name}.

The inih package provides simple INI file parser which is only a couple of
pages of code, and it was designed to be small and simple, so it's good for
embedded systems.


%prep
%setup -q -n inih-r%{version}


%build
gcc -c -fPIC %{optflags} ini.c
gcc -shared -o libinih.so.0.%{version} -Wl,-soname,libinih.so.0 ini.o


%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
install -m 644 ini.h %{buildroot}%{_includedir}/ini.h
install -m 755 libinih.so* %{buildroot}%{_libdir}
ln -s libinih.so.0.%{version} %{buildroot}%{_libdir}/libinih.so.0
ln -s libinih.so.0.%{version} %{buildroot}%{_libdir}/libinih.so

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.md
%{_libdir}/libinih.so.0.%{version}
%{_libdir}/libinih.so.0


%files devel
%defattr(-,root,root,-)
%{_includedir}/ini.h
%{_libdir}/libinih.so


%changelog
* Tue Aug 30 2016 Jan F. Chadima <jfch@jagda.eu> - 36-2
- implement review results

* Mon Aug 29 2016 Jan F. Chadima <jfch@jagda.eu> - 36-1
- initial version
